
function generic_media.node_sound_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "", gain = 1.0}
	table.dug = table.dug or
			{name = "generic_media_dug_node", gain = 0.25}
	table.place = table.place or
			{name = "generic_media_place_node_hard", gain = 1.0}
	return table
end

function generic_media.node_sound_stone_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_hard_footstep", gain = 0.3}
	table.dug = table.dug or
			{name = "generic_media_hard_footstep", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_dirt_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_dirt_footstep", gain = 0.4}
	table.dug = table.dug or
			{name = "generic_media_dirt_footstep", gain = 1.0}
	table.place = table.place or
			{name = "generic_media_place_node", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_sand_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_sand_footstep", gain = 0.12}
	table.dug = table.dug or
			{name = "generic_media_sand_footstep", gain = 0.24}
	table.place = table.place or
			{name = "generic_media_place_node", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_gravel_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_gravel_footstep", gain = 0.4}
	table.dug = table.dug or
			{name = "generic_media_gravel_footstep", gain = 1.0}
	table.place = table.place or
			{name = "generic_media_place_node", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_wood_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_wood_footstep", gain = 0.3}
	table.dug = table.dug or
			{name = "generic_media_wood_footstep", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_leaves_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_grass_footstep", gain = 0.45}
	table.dug = table.dug or
			{name = "generic_media_grass_footstep", gain = 0.7}
	table.place = table.place or
			{name = "generic_media_place_node", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_glass_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_glass_footstep", gain = 0.3}
	table.dig = table.dig or
			{name = "generic_media_glass_footstep", gain = 0.5}
	table.dug = table.dug or
			{name = "generic_media_break_glass", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_metal_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_metal_footstep", gain = 0.4}
	table.dig = table.dig or
			{name = "generic_media_dig_metal", gain = 0.5}
	table.dug = table.dug or
			{name = "generic_media_dug_metal", gain = 0.5}
	table.place = table.place or
			{name = "generic_media_place_node_metal", gain = 0.5}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_water_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_water_footstep", gain = 0.2}
	generic_media.node_sound_defaults(table)
	return table
end

function generic_media.node_sound_snow_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_snow_footstep", gain = 0.2}
	table.dig = table.dig or
			{name = "generic_media_snow_footstep", gain = 0.3}
	table.dug = table.dug or
			{name = "generic_media_snow_footstep", gain = 0.3}
	table.place = table.place or
			{name = "generic_media_place_node", gain = 1.0}
	generic_media.node_sound_defaults(table)
	return table
end


function generic_media.node_sound_moss_defaults(table)
	table = table or {}
	table.footstep = table.footstep or
			{name = "generic_media_sand_footstep", gain = 0.04}
	table.dug = table.dug or
			{name = "generic_media_sand_footstep", gain = 0.24}
	table.place = table.place or
			{name = "generic_media_place_node", gain = 1.0}
	return table
end
function generic_media.tool_breaks_default()
	return "generic_media_tool_breaks"
end
